%define upstream_name Dist-Zilla-Plugin-ContributorsFromGit
%define upstream_version 0.006

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Populates your 'CONTRIBUTORS' POD from the list of git authors
License:	LGPLv2
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(aliased)
BuildRequires:	perl(autobox::Core)
BuildRequires:	perl(Directory::Scratch)
BuildRequires:	perl(Dist::Zilla::Role::RegisterStash)
BuildRequires:	perl(Dist::Zilla::Stash::PodWeaver)
BuildRequires:	perl(File::Which)
BuildRequires:	perl(IPC::System::Simple)
BuildRequires:	perl(List::AllUtils)
BuildRequires:	perl(Moose)
BuildRequires:	perl(MooseX::AttributeShortcuts)
BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Syntax::Keyword::Junction)
BuildRequires:	perl(File::chdir)
BuildRequires:	perl(Test::TempDir)

BuildArch:	noarch

%description
This plugin makes it easy to acknowledge the contributions of others by
populating a %PodWeaver stash with the unique list of all git commit
authors reachable from the current HEAD.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc LICENSE README META.json Changes
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.6.0-2.mga4
+ Revision: 529912
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 sander85 <sander85> 0.6.0-1.mga4
+ Revision: 454079
- imported package perl-Dist-Zilla-Plugin-ContributorsFromGit

